/**********************************************************************
 * This file is part of FMR (Fast Machine Reassignment)               
 *                                                                   
 * ROADEF/EURO Challenge 2012: Machine Reassignment                 
 * http://challenge.roadef.org/2012/en/				   
 * Team S26
 *     
 * Copyright (C) 2011-12 Laboratoire d'Informatique de Paris Nord 
 * UMR CNRS 7030 
 * Institut Galilée - Université Paris-Nord
 * 99, avenue Jean-Baptiste Clément 
 * 93430 Villetaneuse  
 *        
 * FMR is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *  
 * FMR is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with FMR; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **********************************************************************/
#ifndef fmr_cost
# define fmr_cost 1

#include "fmr.h"

int64_t cout( const placement_t* initial, const placement_t* resultat );
int64_t calcule_gain_shift(const placement_t const *initial, placement_t *placmt, unsigned short p, unsigned short m_orig, unsigned short m_dest) ;
int64_t calcule_gain_ajout(const placement_t *initial, placement_t *placmt, unsigned short p, unsigned short m_dest) ;
int64_t calcule_gain_suppr (const placement_t const *initial, placement_t *placmt, unsigned short p, unsigned short m_orig) ;
int64_t calcule_gain_swap (const placement_t const *initial, placement_t *placmt, unsigned short p1, unsigned short m1, unsigned short p2, unsigned short m2) ;

#endif
